diff mbox

[arm/ilp32,COMITTED] aarch64: Set ilp32 minimum linux version to 4.12

Message ID 59A964AF.7090001@arm.com
State New, archived
Headers show

Commit Message

Szabolcs Nagy Sept. 1, 2017, 1:46 p.m. UTC
Mainline linux does not support ilp32 yet, but there is support
for this abi since linux v4.12 in the arm64 linux repo under
ilp32 staging branches.

2017-09-01  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	* sysdeps/unix/sysv/linux/aarch64/configure.ac (arch_minimum_kernel):
	Set to 4.12.0 on ILP32.
	* sysdeps/unix/sysv/linux/aarch64/configure: Regenerate.
---
 sysdeps/unix/sysv/linux/aarch64/configure    | 2 +-
 sysdeps/unix/sysv/linux/aarch64/configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
diff mbox

Patch

diff --git a/sysdeps/unix/sysv/linux/aarch64/configure b/sysdeps/unix/sysv/linux/aarch64/configure
index bb33150dba..cf1787f526 100644
--- a/sysdeps/unix/sysv/linux/aarch64/configure
+++ b/sysdeps/unix/sysv/linux/aarch64/configure
@@ -2,7 +2,7 @@ 
  # Local configure fragment for sysdeps/unix/sysv/linux/aarch64.

 if test $aarch64_config_abi = ilp32; then
-  arch_minimum_kernel=10.0.0
+  arch_minimum_kernel=4.12.0
   test -n "$libc_cv_slibdir" ||
 case "$prefix" in
 /usr | /usr/)
diff --git a/sysdeps/unix/sysv/linux/aarch64/configure.ac b/sysdeps/unix/sysv/linux/aarch64/configure.ac
index 8cc97efefc..912b06b2f5 100644
--- a/sysdeps/unix/sysv/linux/aarch64/configure.ac
+++ b/sysdeps/unix/sysv/linux/aarch64/configure.ac
@@ -2,7 +2,7 @@  GLIBC_PROVIDES dnl See aclocal.m4 in the top level source directory.
 # Local configure fragment for sysdeps/unix/sysv/linux/aarch64.

 if test $aarch64_config_abi = ilp32; then
-  arch_minimum_kernel=10.0.0
+  arch_minimum_kernel=4.12.0
   LIBC_SLIBDIR_RTLDDIR([libilp32], [lib])
 else
   arch_minimum_kernel=3.7.0